nvme_mi_admin_identify_cns_nsid(2)

NAME
nvme_mi_admin_identify_cns_nsid - Perform an Admin identify command using specific CNS/NSID parameters.

SYNOPSIS
int nvme_mi_admin_identify_cns_nsid (nvme_mi_ctrl_t ctrl , enum nvme_identify_cns cns , __u32 nsid , void *data );

ARGUMENTS

ctrl
    Controller to process identify command

cns Controller or Namespace Structure, specifying identified object

nsid
    namespace ID

data
    buffer for identify data response

DESCRIPTION
Perform an Identify command, using the CNS specifier cns, and the namespace ID nsid if required by the CNS type.

Stores the identify data in data, which is expected to be a buffer of NVME_IDENTIFY_DATA_SIZE bytes.

Will return an error if the length of the response data (from the controller) is not a full NVME_IDENTIFY_DATA_SIZE.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.